For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Log inBook a demo
GuidesAPI Reference
GuidesAPI Reference
  • API Reference
      • GETList Bulk Syncs
      • POSTCreate Bulk Sync
      • GETGet Bulk Sync
      • PUTUpdate Bulk Sync
      • DELDelete Bulk Sync
      • POSTActivate Bulk Sync
      • POSTCancel Bulk Sync
      • POSTStart Bulk Sync Execution
      • GETGet Bulk Sync Status
      • GETGet Bulk Source
      • GETGet Bulk Destination
Logo
Log inBook a demo
API ReferenceBulk Sync

Cancel Bulk Sync

POST
https://app.polytomic.com/api/bulk/syncs/:id/cancel
POST
/api/bulk/syncs/:id/cancel
$curl -X POST https://app.polytomic.com/api/bulk/syncs/248df4b7-aa70-47b8-a036-33ac447e668d/cancel \
> -H "Authorization: Bearer <token>"
1{
2 "data": {
3 "message": "Cancellation requested"
4 }
5}
Requests cancellation of any running executions on a bulk sync. Cancellation is asynchronous. A successful response means the cancellation signal has been queued; the running execution continues until the signal is processed. Poll `GET /api/bulk/syncs/{id}/status` until the current execution reaches a terminal state (`completed`, `canceled`, or `failed`) to confirm cancellation has taken effect.
Was this page helpful?
Previous

Start Bulk Sync Execution

Next

Requests cancellation of any running executions on a bulk sync.

Cancellation is asynchronous. A successful response means the cancellation signal has been queued; the running execution continues until the signal is processed. Poll GET /api/bulk/syncs/{id}/status until the current execution reaches a terminal state (completed, canceled, or failed) to confirm cancellation has taken effect.

Authentication

AuthorizationBearer
Bearer user API key
OR
AuthorizationBasic

Basic organization-scoped API key

Path parameters

idstringRequiredformat: "uuid"
The active execution of this bulk sync ID will be cancelled.

Headers

X-Polytomic-VersionstringOptional

Response

OK
dataobject

Errors

403
Forbidden Error
404
Not Found Error
500
Internal Server Error